std::_Function_base(3cxx)

NAME
std::_Function_base - Base class of all polymorphic function object wrappers.

SYNOPSIS

Inherited by std::function< _Res(_ArgTypes...)> [private].

  Public Types

typedef bool(* _Manager_type) (_Any_data &, const _Any_data &, _Manager_operation)

  Public Member Functions

bool _M_empty () const

  Public Attributes

_Any_data _M_functor
_Manager_type _M_manager

  Static Public Attributes

static const std::size_t _M_max_align
static const std::size_t _M_max_size

Detailed Description

Base class of all polymorphic function object wrappers.

Definition at line 150 of file std_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.